List watchers
All watchers for your key’s subject.
GET
/
v3
/
watchers
List watchers
curl --request GET \
--url https://api.orbitsearch.com/v3/watchers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbitsearch.com/v3/watchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orbitsearch.com/v3/watchers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"watchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orbit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"interval_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"phases": [
"existing_sources"
],
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "dispatched",
"run_count": 123,
"update_count": 123,
"paused_reason": "<string>"
}
]
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}⌘I
List watchers
curl --request GET \
--url https://api.orbitsearch.com/v3/watchers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbitsearch.com/v3/watchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orbitsearch.com/v3/watchers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"watchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orbit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"interval_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"phases": [
"existing_sources"
],
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "dispatched",
"run_count": 123,
"update_count": 123,
"paused_reason": "<string>"
}
]
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"status": "failed",
"error": {
"code": "<string>",
"message": "<string>"
}
}